=== debian/changelog ===
umview (0.8.2-3.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:17:22 +1100

umview (0.8.2-3.1build1) noble; urgency=medium

  * No-change rebuild against libvdeplug2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:00:23 +0000

umview (0.8.2-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop obsolete field DM-Upload-Allowed
  * Convert to source format 3.0 (Closes: #1007280)

  [ Fernando Seiti Furusato ]
  * d/patches: Add ppc64el-syscall.patch in order to take powerpc
    64-bit into account when modifying/defining some macros
  * d/control: Add ppc64el architecture (Closes: #780302)

 -- Bastian Germann <bage@debian.org>  Mon, 02 Oct 2023 17:10:30 +0200

umview (0.8.2-3) unstable; urgency=medium

  * Revert to debhelper's compat level 10

 -- Andrea Capriotti <capriott@debian.org>  Fri, 18 Sep 2020 17:55:10 +0200

umview (0.8.2-2) unstable; urgency=medium

  * d/control: Bump debhelper's compat level to 13 (Closes: 965854)
  * d/control: Standard version bumped to 4.5.0
  * d/control: Add VirtualSquare Uploader

 -- Andrea Capriotti <capriott@debian.org>  Fri, 18 Sep 2020 13:28:22 +0200

umview (0.8.2-1.2) unstable; urgency=medium

  * Maintainers mailing list address updated (Closes: #899562)
  * FTBFS with glibc 2.28 errors fixed (Closes: #916170)
    + new include file <sys/sysmacros.h>

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 05 Jan 2019 10:57:20 +0100

umview (0.8.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: um_select.c:177: undefined reference to `__FDELT'":
    apply patch from Ubuntu / Ilya Barygin:
    - Fix FTBFS because of renamed macro.
    (Closes: #707402)
  * Build-depend on libvdeplug-dev, libvdeplug2-dev is only provided by
    libvdeplug-dev.
    Also taken from Ubuntu / Jeremy Bicha.
  * Apply patch from Thomas Funk that removes EPOLL_NONBLOCK.
    (Taken from upstream.)
  * Apply patch from Roland Stigge: add architecture powerpcspe in
    debian/control. (Closes: #734997)

 -- gregor herrmann <gregoa@debian.org>  Sun, 12 Oct 2014 16:25:14 +0200

umview (0.8.2-1) unstable; urgency=low

  * New upstream release
    + Remove um_lwip module (no more needed for lwip networking)
      (Closes: #663671)
    + New viewfs (replaces modifshide)
  * Update copyright file
    + New upstream URL (Closes: #674216)
    + canonicalize.c has been rewritten, removed LGPL part
  * Add libcap-dev and dpkg-dev to Build-Depends
  * Bump to Standards-Version 3.9.3
    + Remove .la files from libumlib-dev
    + Add missing comma in Depends field
  * Switch to machine-readable copyright file
  * Remove empty .dirs files

 -- Ludovico Gardenghi <garden@debian.org>  Sun, 17 Jun 2012 01:52:55 +0200

umview (0.6-1) unstable; urgency=low

  [ Filippo Giunchedi ]
  * Add DM-Upload-Allowed field

  [ Ludovico Gardenghi ]
  * New upstream release
    + Fix "FTBFS: Cannot find linux/dirent.h" (new upstream corrects the
      path name and includes a .h with the needed definitions which are no
      more accessible.) (Closes: #527518)
  * Update standard-version to 3.8.1 (no changes needed).
  * Added missing misc:Depends to libumlib-dev.
  * Changed garden@acheronte.it with garden@debian.org.
  * Fixed versionless license file names.

 -- Ludovico Gardenghi <garden@debian.org>  Sun, 14 Jun 2009 20:49:41 +0200

umview (0.5-2) unstable; urgency=low

  * umview must recommend libpurelibc1, not 0.

 -- Ludovico Gardenghi <garden@acheronte.it>  Mon, 23 Jun 2008 15:48:33 +0200

umview (0.5-1) unstable; urgency=low

  [ Ludovico Gardenghi ]
  * New upstream release
    + fix loading of lwipv6 (Closes: #470462)
    + fix building on amd64 (Closes: #417047)
    + fix wrong include (Closes: #479979)

  [ Filippo Giunchedi ]
  * Move libumlib0-dev to libumlib-dev 
  * Update standard-versions to 3.8.0 (add Homepage and change Source-Version) 

 -- Filippo Giunchedi <filippo@debian.org>  Wed, 18 Jun 2008 22:29:59 +0200

umview (0.4a-2) unstable; urgency=low

  * Fix umlib0-dev dependencies

 -- Guido Trotter <ultrotter@debian.org>  Tue, 13 Feb 2007 17:32:46 -0800

umview (0.4a-1) unstable; urgency=low

  [ Debian VSquare Team ]
  * Initial release

  [ Guido Trotter ]
  * Fix Build Dependencies
  * The "valentine for reenzo" release

 -- Guido Trotter <ultrotter@debian.org>  Tue, 13 Feb 2007 16:32:10 -0800
