=== debian/control ===
Source: umview
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Ludovico Gardenghi <garden@debian.org>, Guido Trotter <ultrotter@debian.org>, Filippo Giunchedi <filippo@debian.org>, Andrea Capriotti <capriott@debian.org>
Build-Depends: debhelper (>= 10), libcap-dev, libvdeplug-dev, libfuse-dev, liblwipv6-dev, libglib2.0-dev, cdbs, dpkg-dev (>= 1.16.1~)
Homepage: http://view-os.sourceforge.net
Standards-Version: 4.5.0

Package: umview
Architecture: i386 amd64 powerpc powerpcspe ppc64 ppc64el
Depends: libumlib0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: kernel-patch-viewos, libpurelibc1
Suggests: umview-mod-umdevtap, umview-mod-umlwip
Description: View-OS in user space - Core and base modules
 View-OS is a novel approach to the process/kernel interface.  The semantics of
 each system call can be assigned process by process giving the user the right
 to decide which view of the system each process has to join.  Each process can
 "see" a different file system structure, networking resources, processor,
 devices.  Moreover some of the resources can be provided by the user
 him/herself, thus these resource can be private to the single process and are
 not known a priori by the system.  Groups of processes can share the same view
 but this is just an optimization to share management methods.
 .
 For more information, see http://wiki.virtualsquare.org
 .
 UMView is a user-mode implementation of View-OS.  Processes are run with a
 controlling daemon that captures all the system calls (at present using the
 ptrace() system call) and uses dynamically loadable modules to change their
 semantic.
 .
 This package contains the UMView controlling daemon and some modules, both
 for testing and for real use.  Other modules are contained in separate
 packages because they depend on additional libraries.

Package: libumlib0
Architecture: i386 amd64 powerpc powerpcspe ppc64 ppc64el
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: View-OS in user space - Support library for modules
 View-OS is a novel approach to the process/kernel interface.  The semantics of
 each system call can be assigned process by process giving the user the right
 to decide which view of the system each process has to join.  Each process can
 "see" a different file system structure, networking resources, processor,
 devices.  Moreover some of the resources can be provided by the user
 him/herself, thus these resource can be private to the single process and are
 not known a priori by the system.  Groups of processes can share the same view
 but this is just an optimization to share management methods.
 .
 For more information, see http://wiki.virtualsquare.org
 .
 UMView is a user-mode implementation of View-OS.  Processes are run with a
 controlling daemon that captures all the system calls (at present using the
 ptrace() system call) and uses dynamically loadable modules to change their
 semantic.
 .
 This package contains a library with common functions used by every UMView
 module.

Package: libumlib-dev
Architecture: i386 amd64 powerpc powerpcspe ppc64 ppc64el
Conflicts: libumlib0-dev
Replaces: libumlib0-dev
Section: libdevel
Depends: libumlib0 (= ${binary:Version}), ${misc:Depends}
Description: View-OS in user space - Development files
 View-OS is a novel approach to the process/kernel interface.  The semantics of
 each system call can be assigned process by process giving the user the right
 to decide which view of the system each process has to join.  Each process can
 "see" a different file system structure, networking resources, processor,
 devices.  Moreover some of the resources can be provided by the user
 him/herself, thus these resource can be private to the single process and are
 not known a priori by the system.  Groups of processes can share the same view
 but this is just an optimization to share management methods.
 .
 For more information, see http://wiki.virtualsquare.org
 .
 UMView is a user-mode implementation of View-OS.  Processes are run with a
 controlling daemon that captures all the system calls (at present using the
 ptrace() system call) and uses dynamically loadable modules to change their
 semantic.
 .
 This package contains headers and library needed to write and compile new
 UMView modules. For some simple module examples, you can take a look to the
 existing modules (expecially in the um_testmodule directory of the source
 tree).

Package: umview-mod-umlwip
Architecture: i386 amd64 powerpc powerpcspe ppc64 ppc64el
Depends: libumlib0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: View-OS in user space - LWIPv6 gateway module
 View-OS is a novel approach to the process/kernel interface.  The semantics of
 each system call can be assigned process by process giving the user the right
 to decide which view of the system each process has to join.  Each process can
 "see" a different file system structure, networking resources, processor,
 devices.  Moreover some of the resources can be provided by the user
 him/herself, thus these resource can be private to the single process and are
 not known a priori by the system.  Groups of processes can share the same view
 but this is just an optimization to share management methods.
 .
 For more information, see http://wiki.virtualsquare.org
 .
 UMView is a user-mode implementation of View-OS.  Processes are run with a
 controlling daemon that captures all the system calls (at present using the
 ptrace() system call) and uses dynamically loadable modules to change their
 semantic.
 .
 This package contains the umnewlwipv6 module, a gateway to the LWIPv6
 user-level networking library (see liblwipv6-2).  It makes possible for
 processes inside UMView to use virtual network interfaces that are connected
 to the external world through a TUN/TAP device or a VDE switch.

Package: umview-mod-umdevtap
Architecture: i386 amd64 powerpc powerpcspe ppc64 ppc64el
Depends: libumlib0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: View-OS in user space - Virtual TUN/TAP module
 View-OS is a novel approach to the process/kernel interface.  The semantics of
 each system call can be assigned process by process giving the user the right
 to decide which view of the system each process has to join.  Each process can
 "see" a different file system structure, networking resources, processor,
 devices.  Moreover some of the resources can be provided by the user
 him/herself, thus these resource can be private to the single process and are
 not known a priori by the system.  Groups of processes can share the same view
 but this is just an optimization to share management methods.
 .
 For more information, see http://wiki.virtualsquare.org
 .
 UMView is a user-mode implementation of View-OS.  Processes are run with a
 controlling daemon that captures all the system calls (at present using the
 ptrace() system call) and uses dynamically loadable modules to change their
 semantic.
 .
 This package contains a sub-module for umdev.  umdev is contained in the main
 UMView package and allows virtualization of character and block devices.
 umdevtap creates a virtual TUN/TAP interface (i.e. /dev/net/tun).  On the
 outer side, UMView opens a connection to a VDE switch.

Package: umview-mod-viewfs
Architecture: i386 amd64 powerpc powerpcspe ppc64 ppc64el
Depends: libumlib0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: View-OS in user space - Filesystem mangling modules
 View-OS is a novel approach to the process/kernel interface.  The semantics of
 each system call can be assigned process by process giving the user the right
 to decide which view of the system each process has to join.  Each process can
 "see" a different file system structure, networking resources, processor,
 devices.  Moreover some of the resources can be provided by the user
 him/herself, thus these resource can be private to the single process and are
 not known a priori by the system.  Groups of processes can share the same view
 but this is just an optimization to share management methods.
 .
 For more information, see http://wiki.virtualsquare.org
 .
 UMView is a user-mode implementation of View-OS.  Processes are run with a
 controlling daemon that captures all the system calls (at present using the
 ptrace() system call) and uses dynamically loadable modules to change their
 semantic.
 .
 This package contains (very experimental) modules that allow filesystem
 namespace mangling (as hiding some portions of the filesystem, creating COW
 subtrees and so on).
