=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS = --disable-python

binary-post-install/umview::
	for package in $(CURDIR)/debian/umview-mod-*.install; do \
		cat $$package | while read file destdir; do \
			if [ -z "$$destdir" ]; then \
				stripped_file="$$(echo "$$file" | cut -d/ -f3-)" ; \
				rm -vf $(CURDIR)/debian/umview/$$stripped_file; \
			fi; \
		done; \
	done
