=== debian/watch ===
version=3
http://sf.net/view-os/umview-(.*)\.tar\.gz
